#include <iostream>

using namespace std;
void unos(int a[],int n)
{
for(int i=0;i<n;i++)
    cin>>a[i];
}
void poklon(int a[],int n,int q)
{
int j=0,m=0,l,r;
while(q>0)
{
cin>>l>>r;
l--;
while(l<r-1)
{
    if((j==-1)&&(a[l]>a[l+1]))
    {
    j=2;
    cout<<"NE"<<endl;
    }
    if((j==0)&&(a[l]>a[l+1]))
            j=-1;
    l++;
}
if(j!=2)
    cout<<"DA"<<endl;
j=0;
q--;
}
}
int main()
{
    int n,q;
    cin>>n;
    int a[n];
    unos(a,n);
    cin>>q;
    poklon(a,n,q);
    return 0;
}